import '../../../stencil.core';
import { EventEmitter } from '../../../stencil.core';
import { TranslateService } from "@ema/core";
export declare class FormField {
    translateService: TranslateService;
    el: HTMLElement;
    data: any;
    config: any;
    currentValue: any;
    configJson: string;
    dataJson: string;
    key: string;
    styles: any;
    tag: string;
    type: string;
    value: any;
    constructor();
    componentDidLoad(): void;
    componentDidUpdate(): void;
    postRender(): void;
    change: EventEmitter;
    setData(data: any): Promise<void>;
    getValue(): Promise<any>;
    translate(str: string): string;
    render(): JSX.Element;
}
